#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

FILE *g_logfile;

#define                 BYTE            unsigned char
#define                 WORD            unsigned short int
#define                 DWORD           unsigned long
#define                 QWORD           unsigned long long

typedef struct ROM_typ
{
  WORD valid;
  unsigned short is_compressed;   // 12=uncompressed, 13 = compressed
  unsigned short unknown;                 // always 0x40
  DWORD Clockrate;
  DWORD Program_Counter;
  DWORD Release;
  DWORD CRC1;
  DWORD CRC2;
  QWORD filler1;
  BYTE Image_Name[20];
  short int filler2[7];
  BYTE Manu_ID;
  WORD Cart_ID;
  BYTE Country_Code;
  short int filler3;
  DWORD BOOTCODE;
} ROMHeader;

void SwapBytes (WORD *);
void SwapWords (DWORD *);

ROMHeader n64header;

